> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export conversation as PDF

Generates and returns a PDF document containing the full conversation history including all messages, notes, and events. The PDF is formatted for archival and sharing purposes. Includes up to 100 entries from the conversation.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json get /conversations/{id}/export
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /conversations/{id}/export:
    get:
      tags:
        - Conversations
      summary: Export conversation as PDF
      description: >-
        Generates and returns a PDF document containing the full conversation
        history including all messages, notes, and events. The PDF is formatted
        for archival and sharing purposes. Includes up to 100 entries from the
        conversation.
      operationId: exportConversation
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
          description: ID of the conversation to export.
      responses:
        '200':
          description: PDF generated and returned successfully.
          content:
            application/pdf:
              schema:
                type: string
                format: binary
          headers:
            Content-Disposition:
              description: Specifies the filename for download.
              schema:
                type: string
                example: attachment; filename="conversation-12345.pdf"
        '404':
          description: Conversation not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '500':
          description: PDF generation failed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````